Debian Bug report logs - #354163
apmd: Computer does not switch off any more

version graph

Package: initscripts; Maintainer for initscripts is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for initscripts is src:sysvinit.

Reported by: Andreas Tille <tillea@rki.de>

Date: Thu, 23 Feb 2006 20:48:09 UTC

Severity: important

Tags: fixed-in-experimental

Merged with 359137

Fixed in version sysvinit/2.86.ds1-26

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#354163; Package apmd. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apmd: Computer does not switch off any more
Date: Thu, 23 Feb 2006 21:32:32 +0100
Package: apmd
Severity: normal

Hi,

after my last upgrade to latest testing I observed that
the computer does not switch off after a halt command
any more.  The effect occurs with differen kernels and
different boxes.  At console the usual last messages
occure (system halted / harddisk stoped or something
like that) but the machine keeps on running and I have
to press the power switch for a couple of seconds.
After rebooting the machine a fscheck is forced.

Feel free to ask for further information.

Kind regards and thanks for maintaing apmd

           Andreas.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (501, 'testing'), (50, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to de_DE@euro)



Bug reassigned from package `apmd' to `initscripts'. Request was from Andreas Tille <tillea@foodborne-net.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Andreas Tille <tillea@foodborne-net.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 354163 359137. Request was from Andreas Tille <tillea@foodborne-net.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #16 received at 354163@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Andreas Tille <tillea@rki.de>, 354163@bugs.debian.org
Cc: Scott James Remnant <scott@ubuntu.com>
Subject: Re: Bug#354163: apmd: Computer does not switch off any more
Date: Fri, 21 Jul 2006 23:21:19 +1000
[Message part 1 (text/plain, inline)]
On Thu, Feb 23, 2006 at 09:32:32PM +0100, Andreas Tille wrote:
>Package: apmd
>Severity: normal
>
>Hi,
>
>after my last upgrade to latest testing I observed that
>the computer does not switch off after a halt command
>any more.  The effect occurs with differen kernels and
>different boxes.  At console the usual last messages
>occure (system halted / harddisk stoped or something
>like that) but the machine keeps on running and I have
>to press the power switch for a couple of seconds.
>After rebooting the machine a fscheck is forced.

I think Scott has implemented a fix for this bug. It would
be nice if he could provide a patch. As soon as it's merged
in the sysvinit package, I'll do the correponding changes to
apmd.

>Feel free to ask for further information.
>
>Kind regards and thanks for maintaing apmd
>
>           Andreas.
>
>-- System Information:
>Debian Release: testing/unstable
>  APT prefers testing
>  APT policy: (501, 'testing'), (50, 'unstable')
>Architecture: i386 (i686)
>Shell:  /bin/sh linked to /bin/bash
>Kernel: Linux 2.6.15
>Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to de_DE@euro)

Mit freundlichen Grüßen,

Aníbal Monsalve Salazar
-- 
http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #21 received at 354163@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@ubuntu.com>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: Andreas Tille <tillea@rki.de>, 354163@bugs.debian.org
Subject: Re: Bug#354163: apmd: Computer does not switch off any more
Date: Fri, 21 Jul 2006 15:35:11 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2006-07-21 at 23:21 +1000, Aníbal Monsalve Salazar wrote:
> On Thu, Feb 23, 2006 at 09:32:32PM +0100, Andreas Tille wrote:

> >after my last upgrade to latest testing I observed that
> >the computer does not switch off after a halt command
> >any more.  The effect occurs with differen kernels and
> >different boxes.  At console the usual last messages
> >occure (system halted / harddisk stoped or something
> >like that) but the machine keeps on running and I have
> >to press the power switch for a couple of seconds.
> >After rebooting the machine a fscheck is forced.
> 
> I think Scott has implemented a fix for this bug. It would
> be nice if he could provide a patch. As soon as it's merged
> in the sysvinit package, I'll do the correponding changes to
> apmd.
> 
I don't think I do?

Scott
-- 
Scott James Remnant
scott@ubuntu.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #26 received at 354163@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 354163@bugs.debian.org, 354163-submitter@bugs.debian.org
Subject: Re: apmd: Computer does not switch off any more
Date: Thu, 03 Aug 2006 13:39:47 +0200
I had a look at this problem, and as far as I an see, the kernel is
the entity responsible for turning off the machine.  At the end of
init.d/halt, 'halt -d -f -i -p -h is called, and this end up with a
syscall 'reboot(RB_POWER_OFF)'.  I guess the problem is that this
syscall do not turn off the power any more.  I have no idea why.

Could it be that the kernel changed to try to call some user space
programs using udev or similar before turning off the power?  udev is
dead at this point, so that is doomed to fail.

To test this hypotesis, I tested in qemu with
<URL:http://koltsoff.com/pub/reboot4fun/poweroff.c> (random link I
found via google), and this did not shut down qemu, even if all user
space programs were running as normal.  I was using debian kernel
2.6.17-1-686.  I also tested this on an old ubuntu installation with
kernel 2.6.10-5-386, and there the machine powered down.

Could this be apm/acpi related?  I suspect it is.



Message sent on to Andreas Tille <tillea@rki.de>:
Bug#354163. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #34 received at 354163@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 354163@bugs.debian.org
Subject: Re: Bug#354163: apmd: Computer does not switch off any more
Date: Thu, 3 Aug 2006 14:49:34 +0200 (CEST)
On Thu, 3 Aug 2006, Petter Reinholdtsen wrote:

I'm absolutely uneducated in this field but I try to add some
perhaps useful information here.

> I had a look at this problem, and as far as I an see, the kernel is
> the entity responsible for turning off the machine.  At the end of
> init.d/halt, 'halt -d -f -i -p -h is called, and this end up with a
> syscall 'reboot(RB_POWER_OFF)'.  I guess the problem is that this
> syscall do not turn off the power any more.  I have no idea why.

While the original bug report was about the problem that the box
is not switched of I would like to add that the problem also occurs
at a reboot.  If I try to reboot (without trying to power off)
the shutdown process stops at the very same point (obtained by
my poor knowledge from the printed text at console).  So some
process seems to be running before the reboot call you mentioned.

> Could it be that the kernel changed to try to call some user space
> programs using udev or similar before turning off the power?  udev is
> dead at this point, so that is doomed to fail.

I would like to add here, that this problem also occurs on machines
with kernel versions below 2.6.12 and no udev package installed.

> To test this hypotesis, I tested in qemu with
> <URL:http://koltsoff.com/pub/reboot4fun/poweroff.c> (random link I
> found via google), and this did not shut down qemu, even if all user
> space programs were running as normal.  I was using debian kernel
> 2.6.17-1-686.  I also tested this on an old ubuntu installation with
> kernel 2.6.10-5-386, and there the machine powered down.
>
> Could this be apm/acpi related?  I suspect it is.

I might remember that the problem occures on ACPI enabled machines
as well as on older boxes that only know APM.

As I said the problem is between initscripts_2.86.ds1-10_i386.deb and
initscripts_2.86.ds1-11_i386.deb.  I'm currently work happily
with a initscripts_2.86.ds1-10_i386.deb set on hold.

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #39 received at 354163@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Andreas Tille <tillea@rki.de>
Cc: 354163@bugs.debian.org
Subject: Re: Bug#354163: apmd: Computer does not switch off any more
Date: Fri, 4 Aug 2006 09:25:21 +0200
To test this problem, I did a fresh debian/sid installation on my old
IBM Thinkpad X30 laptop, and tried 'shutdown -h now'.  It powered down
as it should.  It was using kernel version 2.6.17-1-686 and
initscripts version 2.86.ds1-15.  I used lsmod to verify that no acpi
nor apm kernel modules were loaded, so I doubt either is involved.n

So I was wrong when I believed the kernel failed to power down on all
machines currently.  It seem to work on at least one machine. :)

When your machine do 'shutdown -h now', what is the last message
appearing on the screen?  When I do it in qemu, I get these lines:

  Will now halt
  Shutdown: hda
  System halted.

The first line is from init.d/halt, the second is from /sbin/halt, and
the the last line is printed by the kernel in the reboot() call.  Do
you see these lines when your machine fail to power down?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #44 received at 354163@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 354163@bugs.debian.org
Subject: Re: Bug#354163: apmd: Computer does not switch off any more
Date: Fri, 4 Aug 2006 10:15:52 +0200 (CEST)
On Fri, 4 Aug 2006, Petter Reinholdtsen wrote:

> When your machine do 'shutdown -h now', what is the last message
> appearing on the screen?  When I do it in qemu, I get these lines:
>
>  Will now halt
>  Shutdown: hda
>  System halted.
>
> The first line is from init.d/halt, the second is from /sbin/halt, and
> the the last line is printed by the kernel in the reboot() call.  Do
> you see these lines when your machine fail to power down?

Would it help if I say "sometimes" or even "most times" when the
system has switched to console.  It sometimes sticked on displaying
the X screen.

Some more details about this problem I posted to debian-devel at

   http://lists.debian.org/debian-devel/2006/03/msg01108.html

It might especially be interesting that I observed at one single
occurence

   Unmounting remote and non-toplevel virtual filesystems ... done

after the "System haltet".

Kind regards

         Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #49 received at 354163@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 354163@bugs.debian.org, 362128@bugs.debian.org, 354163-submitter@bugs.debian.org, 362128-submitter@bugs.debian.org
Subject: Getting the machine to power down?
Date: Mon, 11 Sep 2006 22:17:01 +0200
Does it help to load the apm kernel module before doing shutdown, as
described in bug #146411?  In that case, I suggest adding it to
/etc/modules.

Friendly,
-- 
Petter Reinholdtsen



Message sent on to Andreas Tille <tillea@rki.de>:
Bug#354163. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 354163@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 354163@bugs.debian.org, 362128@bugs.debian.org
Subject: Re: Bug#354163: Getting the machine to power down?
Date: Tue, 12 Sep 2006 08:29:59 +0200 (CEST)
On Mon, 11 Sep 2006, Petter Reinholdtsen wrote:

> Does it help to load the apm kernel module before doing shutdown, as
> described in bug #146411?  In that case, I suggest adding it to
> /etc/modules.

No.
It was my first shot but the problem is *completely* unrelated to
apmd.  This is at least the case for the issue I reported as #354163
and I should probably rename the title of the bug if this is confusing.
I tried several things here but the problem is anywhere inbetween
the changes of

    initscripts_2.86.ds1-10            and
    initscripts_2.86.ds1-11

I'm living perfectly fine with initscripts_2.86.ds1-10 on hold.
Installing any later version brings up the problem on all my
machines (apm or acpi based).

A quite hard fact that it is not the apm code to switch off the
computer is IMHO that the machine also does not reboot but hangs
anywhere in the final step of the shutdown process.  The very old
problem "does not switch of without apm" did not showed this
behaviour and also did not forced a file system check at next
boot (which is the case after I have to switch of my computer).

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 354163@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Andreas Tille <tillea@rki.de>
Cc: 354163@bugs.debian.org, 362128@bugs.debian.org
Subject: Re: Bug#354163: Getting the machine to power down?
Date: Tue, 12 Sep 2006 09:08:33 +0200
[Andreas Tille]
> It was my first shot but the problem is *completely* unrelated to
> apmd.

OK.  I am still fumbling in the dark.  Can you provide the output of
for a working and a broken system?

  ls /etc/rcS.d /etc/rc2.d /etc/rc6.d

Also, it would be useful to know the content of your /etc/fstab and
/etc/default/rcS.

Can you try to do 'shutdown -h now' while in a console (and not from
X), and report the last 8 lines printed on the screen before it hangs.

If fsck is needed on ever boot, that indicates that the final remount
of the root file system never occured, and thus a shutdown order bug.

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #67 received at 354163@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 354163@bugs.debian.org, 362128@bugs.debian.org
Subject: Re: Bug#354163: Getting the machine to power down?
Date: Tue, 12 Sep 2006 10:11:54 +0200 (CEST)
[Message part 1 (text/plain, inline)]
On Tue, 12 Sep 2006, Petter Reinholdtsen wrote:

> OK.  I am still fumbling in the dark.  Can you provide the output of
> for a working and a broken system?

I think I will use the very same system.

1. The working version:
-----------------------

$ dpkg --status initscripts | grep Version
Version: 2.86.ds1-10

>  ls /etc/rcS.d /etc/rc2.d /etc/rc6.d

See attachment ls_etc-v10.

> Also, it would be useful to know the content of your /etc/fstab

# <file system> <mount point>   <type>  <options>               <dump>  <pass>
/dev/hda1       /               ext3    errors=remount-ro       0       1
/dev/hda2       none            swap    sw                      0       0
proc            /proc           proc    defaults                0       0
none            /proc/bus/usb   usbfs   defaults                0       0
/dev/hda3       /usr    ext3    defaults                        0       2
/dev/hda5       /var    ext3    defaults                        0       2

wr-linux02:/home          /home  nfs  defaults
wr-linux02:/usr/local     /usr/local  nfs  defaults

/dev/fd0   /m/a       auto      defaults,user,exec,noauto               0       0
/dev/cdrom /m/cdrom   auto      ro,user,exec,noauto             0       2
/dev/cdwr  /m/cdwr    auto      ro,user,exec,noauto             0       2


> and
> /etc/default/rcS.

#
#       Defaults for the boot scripts in /etc/rcS.d
#

# Time files in /tmp are kept in days.
TMPTIME=0
# Set to yes if you want sulogin to be spawned on bootup
SULOGIN=no
# Set to no if you want to be able to login over telnet/rlogin
# before system startup is complete (as soon as inetd is started)
DELAYLOGIN=yes
# Set UTC=yes if your system clock is set to UTC (GMT), and UTC=no if not.
UTC=yes
# Set VERBOSE to "no" if you would like a more quiet bootup.
VERBOSE=yes
# Set EDITMOTD to "no" if you don't want /etc/motd to be editted automatically
EDITMOTD=yes
# Set FSCKFIX to "yes" if you want to add "-y" to the fsck at startup.
FSCKFIX=no

(I never changed this file manually.)


2. The non-working version:
---------------------------

$ dpkg --status initscripts | grep Version
Version: 2.86.ds1-11

>  ls /etc/rcS.d /etc/rc2.d /etc/rc6.d

Hmmm, it shows no changces to attachment ls_etc-v10 so I do not send two
identical files.  I think I have a better idea: I copied the whole /etc
directory from "the working version" to etc_v10 and the version that does
not work any more to etc_v11 and did a

   diff -ubrN etc_v10 etc_v11

Hope this might give some hints (see attachment).

> Can you try to do 'shutdown -h now' while in a console (and not from
> X), and report the last 8 lines printed on the screen before it hangs.

Well, doing some grunt work stupid screen typing for you ;-))


Saving the system clock..
Hardware Clock updated to Tue Sep 12 ... bla
Stopping Squid HTTP proxy: squid.
Stopping NFS common utilities: statd.
Stopping deferred execution scheduler: atd.
Stopping kernel log daemon: klogd.
Stopping system log daemon: syslogd.
Stopping Device file system management daemon: No /sbin/devfsd found running; none killed.
devsfd.
Sending all processed the TERM signal...done.
Sending all processed the KILL signal...done.
Saving random seed...done.
Usage: grep [OPTION] ... PATTERN [FILE]                 <<<---- Hmmm ???
Try `grep --help' for more information.
Shutdown: hda
System halted.
Unmounting remote and non-toplevel virtual filesystems...


Remark 1: Every difference in the strings that might occure here was not
          caused by patches I did to my system but because I'm unable to
          copy my screen without errors. ;-)

Remark 2: The system was bootet using 2.86.ds1-10 and shutdown after
          installing 2.86.ds1-11.  The behaviour remains the same if
          bootet with 2.86.ds1-11.

> If fsck is needed on ever boot, that indicates that the final remount
> of the root file system never occured, and thus a shutdown order bug.

This is right according to all my knowledge. What confuses me is that
   Shutdown: hda
seemed to have done successfully according to the screen dump which
is really.  As you might have read I have reported this on debian-devel

   http://lists.debian.org/debian-devel/2006/03/msg00240.html  and
   http://lists.debian.org/debian-devel/2006/03/msg01108.html

for a different machine.

The strange thing is the brocken "grep" call but in the diff I attached
I do not find a changed line that contains grep.

I just have reinstalled 2.86.ds1-10 and when I do the `shutdown -h now'
the end shows some more text and no broken grep call - if you think it
makes sense to get these lines I'm willing to write down these as well
but have no good idea how to copy the screen once the box is switched
off.

Good luck

       Andreas.
-- 
http://fam-tille.de
[ls_etc-v10 (text/plain, attachment)]
[etc-diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #72 received at 354163@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Andreas Tille <tillea@rki.de>
Cc: 354163@bugs.debian.org, 362128@bugs.debian.org
Subject: Re: Bug#354163: Getting the machine to power down?
Date: Tue, 12 Sep 2006 10:29:12 +0200
[Andreas Tille]
> I think I will use the very same system.

Thank you.  The umounting of file systems are obviously not working as
it should.  I read that from your shutdown load.

Try replacing in /etc/init.d/umountfs the line saying

  PATH=/usr/sbin:/usr/bin:/sbin:/bin

with a line saying

  PATH=/sbin:/bin:/usr/sbin:/usr/bin

I am starting to suspect the problem is that you have one set of tools
in /{s}bin/, and a different set of tools with the same names in
/usr/{s}bin/.  Try also to add 'set -x' early in umountfs, to see what
the script do when it fails.

Your problem might also be related to the NFS mount points, and the
fact that portmap is killed before nfs umounting is tried (bug
#258420).  If this is the case, I am working on a fix.

The shutdown sequence you typed in seem to jump from S30urandom
directly to S90reboot without running S31umountnfs.sh, S32portmap,
S35networking, S40umountfs and S60umountroot.  I fail to understand
how that can happen.

> This is right according to all my knowledge. What confuses me is that
>    Shutdown: hda
> seemed to have done successfully according to the screen dump which
> is really.

It confuses me too. :)

> I just have reinstalled 2.86.ds1-10 and when I do the `shutdown -h
> now' the end shows some more text and no broken grep call - if you
> think it makes sense to get these lines I'm willing to write down
> these as well but have no good idea how to copy the screen once the
> box is switched off.

It would be useful to have the output from a run with set -x as
described above, but that will be quite a lot to type, so we can wait
to see if the PATH changes help first.

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #77 received at 354163@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 354163@bugs.debian.org, 362128@bugs.debian.org
Subject: Re: Bug#354163: Getting the machine to power down?
Date: Tue, 12 Sep 2006 11:18:20 +0200 (CEST)
On Tue, 12 Sep 2006, Petter Reinholdtsen wrote:

> Thank you.  The umounting of file systems are obviously not working as
> it should.  I read that from your shutdown load.
>
> Try replacing in /etc/init.d/umountfs the line saying
>
>  PATH=/usr/sbin:/usr/bin:/sbin:/bin
>
> with a line saying
>
>  PATH=/sbin:/bin:/usr/sbin:/usr/bin
>
> I am starting to suspect the problem is that you have one set of tools
> in /{s}bin/, and a different set of tools with the same names in
> /usr/{s}bin/.  Try also to add 'set -x' early in umountfs, to see what
> the script do when it fails.

/etc/init.d# diff -u umountfs.orig umountfs 
--- umountfs.orig       2006-01-22 20:50:11.000000000 +0100
+++ umountfs    2006-09-12 10:59:30.000000000 +0200
@@ -9,7 +9,8 @@
 # Description:
 ### END INIT INFO

-PATH=/usr/sbin:/usr/bin:/sbin:/bin
+set -x
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
 . /lib/init/vars.sh

 . /lib/lsb/init-functions


You can beat me with a large club but there is no change at all in
the output.

> Your problem might also be related to the NFS mount points, and the
> fact that portmap is killed before nfs umounting is tried (bug
> #258420).  If this is the case, I am working on a fix.

The problem occures also on machines where actually no NFS mounts
are active and only are mounted at user request.  I could even
try to disable NFS completely on my laptop to verify whether it
has any connection to NFS.

> The shutdown sequence you typed in seem to jump from S30urandom
> directly to S90reboot without running S31umountnfs.sh, S32portmap,
> S35networking, S40umountfs and S60umountroot.  I fail to understand
> how that can happen.

It really seems to be the case.  At least there is no sign that
the changed umountfs is called at any time.

> It would be useful to have the output from a run with set -x as
> described above, but that will be quite a lot to type, so we can wait
> to see if the PATH changes help first.

Well, neither the PATH nor the -x showed any result.  My personal
way of debugging would be to revert the changes of initscripts_2.86.ds1-11
step by step and look what happens.  The problem is that I would
do this a little bit like monkey-typing and it might be that I
would come to wrong conclusions by reverting one diff that only
works if some other diff is not in place.  So my suggestion is:

Try to build a reasonable "intermediate diff" between ds1-10 and
ds1-11 and I will see what happens here.  If it works the problem
is in the other half of the diffs if it fails we are closer to
the problem and try another intermediate diff.  What about this?
(You notice the idea was born from the conditioning as experimental
physicis. ;-)) )

Kind regards

          Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #82 received at 354163@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Andreas Tille <tillea@rki.de>
Cc: 354163@bugs.debian.org, 362128@bugs.debian.org
Subject: Re: Bug#354163: Getting the machine to power down?
Date: Tue, 12 Sep 2006 11:42:10 +0200
[Andreas Tille]
> You can beat me with a large club but there is no change at all in
> the output.

Very, very strange.  Is the symlink /etc/rc6.d/S*umountfs pointing to
the correct file?

Perhaps we should continue debugging this on IRC, #pkg-sysvinit on
irc.debian.org to speed up the round trip time. :)

> The problem occures also on machines where actually no NFS mounts
> are active and only are mounted at user request.  I could even try
> to disable NFS completely on my laptop to verify whether it has any
> connection to NFS.

Good to know.  Then we can rule out the NFs issue.

> It really seems to be the case.  At least there is no sign that the
> changed umountfs is called at any time.

Then we need to move up one bit.  Try adding 'set -x' to
/etc/init.d/rc as well, to get the details of the script that should
have called umountfs.

> Well, neither the PATH nor the -x showed any result.  My personal
> way of debugging would be to revert the changes of
> initscripts_2.86.ds1-11 step by step and look what happens.

Well, The problem is that the changes between -10 and -11 were mostly
documentation changes, and the PATH change.  So if the PATH change did
not affect this issue, I fail to see how the documentation change
could. :/

> Try to build a reasonable "intermediate diff" between ds1-10 and
> ds1-11 and I will see what happens here.  If it works the problem is
> in the other half of the diffs if it fails we are closer to the
> problem and try another intermediate diff.  What about this?  (You
> notice the idea was born from the conditioning as experimental
> physicis. ;-)) )

Here is a diff for the source with all the PATH-related changes.  I
just noticed that the patch for init was also changed to change the
PATH of init itself.  Perhaps that is the source of your problems?
Anyway, try this change and see if it help.  You will need to
binary-patch /sbin/init or rebuild from source.

Index: debian/patches/64_init_set_PATH.dpatch
===================================================================
--- debian/patches/64_init_set_PATH.dpatch	(revisjon 638)
+++ debian/patches/64_init_set_PATH.dpatch	(revisjon 681)
@@ -40,7 +40,7 @@
  
  /* Default path inherited by every child. */
 -#define PATH_DFL   "PATH=/bin:/usr/bin:/sbin:/usr/sbin"
-+#define PATH_DEFAULT   "/bin:/sbin:/usr/bin:/usr/sbin"
++#define PATH_DEFAULT   "/usr/sbin:/usr/bin:/sbin:/bin"
  
  
  /* Prototypes. */
Index: debian/initscripts/etc/init.d/checkfs.sh
===================================================================
--- debian/initscripts/etc/init.d/checkfs.sh	(revisjon 638)
+++ debian/initscripts/etc/init.d/checkfs.sh	(revisjon 681)
@@ -10,7 +10,7 @@
 # Short-Description: Check all filesystems.
 ### END INIT INFO
 
-PATH=/bin:/sbin
+PATH=/sbin:/bin
 FSCK_LOGFILE=/var/log/fsck/checkfs
 [ "$FSCKFIX" ] || FSCKFIX=no
 . /lib/init/vars.sh
Index: debian/initscripts/etc/init.d/sendsigs
===================================================================
--- debian/initscripts/etc/init.d/sendsigs	(revisjon 638)
+++ debian/initscripts/etc/init.d/sendsigs	(revisjon 681)
@@ -9,7 +9,7 @@
 # Description: 
 ### END INIT INFO
 
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 
 . /lib/lsb/init-functions
 
Index: debian/initscripts/etc/init.d/umountfs
===================================================================
--- debian/initscripts/etc/init.d/umountfs	(revisjon 638)
+++ debian/initscripts/etc/init.d/umountfs	(revisjon 681)
@@ -9,7 +9,7 @@
 # Description:
 ### END INIT INFO
 
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 . /lib/init/vars.sh
 
 . /lib/lsb/init-functions
Index: debian/initscripts/etc/init.d/single
===================================================================
--- debian/initscripts/etc/init.d/single	(revisjon 638)
+++ debian/initscripts/etc/init.d/single	(revisjon 681)
@@ -8,7 +8,7 @@
 # Short-Description: executed by init(8) upon entering runlevel 1 (single).
 ### END INIT INFO
 
-PATH="/sbin:/bin"
+PATH=/sbin:/bin
 
 . /lib/lsb/init-functions
 
Index: debian/initscripts/etc/init.d/mountnfs.sh
===================================================================
--- debian/initscripts/etc/init.d/mountnfs.sh	(revisjon 638)
+++ debian/initscripts/etc/init.d/mountnfs.sh	(revisjon 681)
@@ -15,6 +15,7 @@
 #                    this script is getting increasingly inaccurate.
 ### END INIT INFO
 
+PATH=/sbin:/bin
 [ "TMPTIME" ] || TMPTIME=0
 . /lib/init/vars.sh
 
Index: debian/initscripts/etc/init.d/mountkernfs.sh
===================================================================
--- debian/initscripts/etc/init.d/mountkernfs.sh	(revisjon 638)
+++ debian/initscripts/etc/init.d/mountkernfs.sh	(revisjon 681)
@@ -9,12 +9,13 @@
 # Description:       Mount initial set of virtual filesystems the kernel
 #                    provides and that are required by everything.
 ### END INIT INFO
+#
+# This script gets called multiple times during boot and is also
+# called in initscripts postinst
+#
 
-# Script needs to be robust and continue when parts fail,
-# so we're NOT setting the "-e" option.
+PATH=/lib/init:/sbin:/bin
 
-PATH=/lib/init:/bin:/sbin
-
 . /lib/lsb/init-functions
 . /lib/init/mount-functions.sh
 
Index: debian/initscripts/etc/init.d/skeleton
===================================================================
--- debian/initscripts/etc/init.d/skeleton	(revisjon 638)
+++ debian/initscripts/etc/init.d/skeleton	(revisjon 681)
@@ -18,7 +18,7 @@
 # Do NOT "set -e"
 
 # PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 DESC="Description of the service"
 NAME=daemonexecutablename
 DAEMON=/usr/sbin/$NAME
Index: debian/initscripts/etc/init.d/hostname.sh
===================================================================
--- debian/initscripts/etc/init.d/hostname.sh	(revisjon 638)
+++ debian/initscripts/etc/init.d/hostname.sh	(revisjon 681)
@@ -9,6 +9,8 @@
 # Description:
 ### END INIT INFO
 
+PATH=/sbin:/bin
+
 . /lib/lsb/init-functions
 
 do_start () {
Index: debian/initscripts/etc/init.d/halt
===================================================================
--- debian/initscripts/etc/init.d/halt	(revisjon 638)
+++ debian/initscripts/etc/init.d/halt	(revisjon 681)
@@ -11,7 +11,7 @@
 # Description:
 ### END INIT INFO
 
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 [ -f /etc/default/halt ] && . /etc/default/halt
 
 . /lib/lsb/init-functions
Index: debian/initscripts/etc/init.d/bootmisc.sh
===================================================================
--- debian/initscripts/etc/init.d/bootmisc.sh	(revisjon 638)
+++ debian/initscripts/etc/init.d/bootmisc.sh	(revisjon 681)
@@ -9,6 +9,7 @@
 # Description:
 ### END INIT INFO
 
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 [ "$DELAYLOGIN" ] || DELAYLOGIN=yes
 . /lib/init/vars.sh
 
Index: debian/initscripts/etc/init.d/checkroot.sh
===================================================================
--- debian/initscripts/etc/init.d/checkroot.sh	(revisjon 638)
+++ debian/initscripts/etc/init.d/checkroot.sh	(revisjon 681)
@@ -10,7 +10,7 @@
 # Short-Description: Check to root file system.
 ### END INIT INFO
 
-PATH=/lib/init:/bin:/sbin
+PATH=/lib/init:/sbin:/bin
 FSCK_LOGFILE=/var/log/fsck/checkroot
 [ "$FSCKFIX" ] || FSCKFIX=no
 [ "$SULOGIN" ] || SULOGIN=no
Index: debian/initscripts/etc/init.d/reboot
===================================================================
--- debian/initscripts/etc/init.d/reboot	(revisjon 638)
+++ debian/initscripts/etc/init.d/reboot	(revisjon 681)
@@ -10,7 +10,7 @@
 # Description:
 ### END INIT INFO
 
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 
 . /lib/lsb/init-functions
 
Index: debian/initscripts/etc/init.d/killprocs
===================================================================
--- debian/initscripts/etc/init.d/killprocs	(revisjon 638)
+++ debian/initscripts/etc/init.d/killprocs	(revisjon 681)
@@ -8,7 +8,7 @@
 # Short-Description: executed by init(8) upon entering runlevel 1 (single).
 ### END INIT INFO
 
-PATH="/sbin:/bin:/usr/sbin:/usr/bin"
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 
 . /lib/lsb/init-functions
 
Index: debian/initscripts/etc/init.d/mountall.sh
===================================================================
--- debian/initscripts/etc/init.d/mountall.sh	(revisjon 638)
+++ debian/initscripts/etc/init.d/mountall.sh	(revisjon 681)
@@ -11,6 +11,7 @@
 # Description:
 ### END INIT INFO
 
+PATH=/sbin:/bin
 [ "$TMPTIME" ] || TMPTIME=0
 . /lib/init/vars.sh
 
Index: debian/initscripts/etc/init.d/urandom
===================================================================
--- debian/initscripts/etc/init.d/urandom	(revisjon 638)
+++ debian/initscripts/etc/init.d/urandom	(revisjon 681)
@@ -12,7 +12,7 @@
 
 [ -c /dev/urandom ] || exit 0
 
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 SAVEDFILE=/var/lib/urandom/random-seed
 POOLSIZE=512
 [ -f /proc/sys/kernel/random/poolsize ] && POOLSIZE="$(cat /proc/sys/kernel/random/poolsize)"
Index: debian/initscripts/etc/init.d/umountnfs.sh
===================================================================
--- debian/initscripts/etc/init.d/umountnfs.sh	(revisjon 638)
+++ debian/initscripts/etc/init.d/umountnfs.sh	(revisjon 681)
@@ -10,7 +10,7 @@
 #                    usbfs, sysfs) that are not mounted at the top level.
 ### END INIT INFO
 
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 KERNEL="$(uname -s)"
 RELEASE="$(uname -r)"
 . /lib/init/vars.sh
Index: debian/initscripts/etc/init.d/bootlogd
===================================================================
--- debian/initscripts/etc/init.d/bootlogd	(revisjon 638)
+++ debian/initscripts/etc/init.d/bootlogd	(revisjon 681)
@@ -10,7 +10,7 @@
 #                    which logs boot messages.
 ### END INIT INFO
 
-PATH=/sbin:/bin  # No remote fs at start
+PATH=/sbin:/bin
 DAEMON=/sbin/bootlogd
 NAME=bootlogd
 DESC="boot logger"
Index: debian/initscripts/etc/init.d/stop-bootlogd-single
===================================================================
--- debian/initscripts/etc/init.d/stop-bootlogd-single	(revisjon 638)
+++ debian/initscripts/etc/init.d/stop-bootlogd-single	(revisjon 681)
@@ -9,6 +9,7 @@
 # Description:       See the bootlogd script
 ### END INIT INFO
 
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
 NAME=stop-bootlogd-single
 DAEMON=/sbin/bootlogd
 
Index: debian/initscripts/etc/init.d/mountdevsubfs.sh
===================================================================
--- debian/initscripts/etc/init.d/mountdevsubfs.sh	(revisjon 638)
+++ debian/initscripts/etc/init.d/mountdevsubfs.sh	(revisjon 681)
@@ -9,11 +9,12 @@
 # Description:       Mount the virtual filesystems the kernel provides
 #                    that ordinarily live under the /dev filesystem.
 ### END INIT INFO
+#
+# This script gets called multiple times during boot and is also
+# called in initscripts postinst
+#
 
-# Script needs to be robust and continue when parts fail,
-# so we're NOT setting the "-e" option.
-
-PATH=/lib/init:/bin:/sbin
+PATH=/lib/init:/sbin:/bin
 TTYGRP=5
 TTYMODE=620
 [ -f /etc/default/devpts ] && . /etc/default/devpts



Reply sent to Andreas Tille <tillea@rki.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Tille <tillea@rki.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 354163-done@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: 354163-done@bugs.debian.org
Subject: Re: Bug#354163: apmd: Computer does not switch off any more
Date: Tue, 12 Sep 2006 23:38:10 +0200 (CEST)
Hi,

thanks to Petter Reinholdtsen <pere@hungry.com> the problem
was finally solved.  I installed a user executable /usr/bin/halt
that allowed certain users to call halt via sudo (and do some
other magic like verifying that no other users are logged in).
That produced the strange grep message and finally prevented
halt from working.

So the problem was finally not in the initscripts package but
it showed up because from version -10 to -11 the sequence of
PATH was changed and now my own /usr/bin/halt was coming into
effect.

Sorry for the noise

               Andreas.


-- 
http://fam-tille.de



Reply sent to Andreas Tille <tillea@rki.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#354163; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to sasha.mal@excite.com:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #97 received at 354163@bugs.debian.org (full text, mbox):

From: "" <sasha.mal@excite.com>
To: pere@hungry.com, 362128-quiet@bugs.debian.org, 354163@bugs.debian.org, 362128@bugs.debian.org, 354163-submitter@bugs.debian.org, 362128-submitter@bugs.debian.org
Subject: RE: Bug#362128: Getting the machine to power down?
Date: Wed, 13 Sep 2006 11:32:49 -0400 (EDT)
Unfortunately, I don't have the computer on which the bug occured any more. So I cannot tell what would happen if one changes the /etc/modules. If I'll ever see this problem again and would remember that, I'll try to load apm in /etc/modules. However, on that old machine, memory was very low, so I were reluctant to load any modules during boot which are needed only at the very end and that do nothing for me when working.



What would probably be helpful is that the last message on the screen was the statement stating that the machine is down, like "Power off" or something like that. Everything on the screen remained as it is and nothing visible happened after that. Before that, one could hear some part of the computer, probably the hard drive, stopping making noise.



Regards

Sasha.

_______________________________________________
Join Excite! - http://www.excite.com
The most personalized portal on the Web!





Message sent on to Andreas Tille <tillea@rki.de>:
Bug#354163. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Petter Reinholdtsen <pere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Tille <tillea@rki.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #107 received at 354163-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 354163-close@bugs.debian.org
Subject: Bug#354163: fixed in sysvinit 2.86.ds1-26
Date: Thu, 28 Sep 2006 11:02:14 -0700
Source: sysvinit
Source-Version: 2.86.ds1-26

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.86.ds1-26_i386.deb
  to pool/main/s/sysvinit/initscripts_2.86.ds1-26_i386.deb
sysv-rc_2.86.ds1-26_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.86.ds1-26_all.deb
sysvinit-utils_2.86.ds1-26_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.86.ds1-26_i386.deb
sysvinit_2.86.ds1-26.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-26.diff.gz
sysvinit_2.86.ds1-26.dsc
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-26.dsc
sysvinit_2.86.ds1-26_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-26_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354163@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 28 Sep 2006 19:26:54 +0200
Source: sysvinit
Binary: sysv-rc sysvinit-utils sysvinit initscripts
Architecture: source i386 all
Version: 2.86.ds1-26
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - Scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 258420 354163 359651 367944 383124 385722 386893 387216 387236 387308 388244 388417 389435
Changes: 
 sysvinit (2.86.ds1-26) unstable; urgency=low
 .
   * Change umountnfs to use /etc/mtab instead of /proc/mounts, to make
     sure it see the _netdev option.  umountfs still uses /proc/mounts
     to make every non-root file system is unmounted before halt or
     reboot. (Closes: #383124)
   * Correct exit code handling in init.d/rc.local. (Closes: #389435)
 .
 sysvinit (2.86.ds1-25) experimental; urgency=low
 .
   * Improve manual entry for RAMRUN and RAMLOCK run rcS(5).
   * Correct mtab.sh to make sure the mtab content matches the options used
     when mounting /var/run/.
   * New defaults/tmpfs options RUN_SIZE and LOCK_SIZE, controlling the
     tmpfs size.  Modified the mount code to also use TMPFS_SIZE if
     set as a fallback value.
 .
 sysvinit (2.86.ds1-24) experimental; urgency=low
 .
   * Make sure we do not umount /lib/init/rw/ during shutdown.
   * Make it easier to debug the splash progress bar in init.d/rc.
   * Correct mtab entry for /sys, to make sure its 'device' is sysfs.
   * Include vars.sh in mtab.sh, to make sure the RAMRUN and RAMLOCK
     options are available when used.
   * Add defaults/tmpfs option RW_SIZE to control the size of
     /lib/init/rw/, and change mountkernfs.sh to use TMPFS_SIZE too if
     it is set.
   * Rewrite post_mountall() function to avoid mounting /var/run/ and
     /var/lock/ on top of themselves when RAMRUN or RAMLOCK is enabled.
 .
 sysvinit (2.86.ds1-23) experimental; urgency=low
 .
   * Make the tmpfs on /var/run/ and /var/lock/ optional, and provide
     RAMRUN and RAMLOCK options in /etc/default/rcS to control this.
     Remove code to convert to this feature when the package is
     upgraded or installed.  It will take effect after a reboot if
     /etc/default/rcS is modified.  Keep them disabled for now.
     Create .ramfs files in the directories if tmpfs is used to make it
     easier for other scripts to know if they are safe to use early in
     the boot.
   * Create /lib/init/rw/, and mount a tmpfs there to garantee some
     writable area very early in the boot.  Use this in checkroot.sh if
     a device node need to be created.  Create .ramfs indicator when
     it is mounted.
   * Move sulogin to the sysvinit-utils package as well. (Closes: #388417)
   * Add new halt option NETDOWN to make it easier to enable
     wake-on-lan. (Closes: #388244)
   * Add a stop dependency for umountroot on kexec, to document the
     correct location for a kexec script.  Related to bug #387599.
   * Make sure update-rd.d-recover is not compressed to make it easier to run.
 .
 sysvinit (2.86.ds1-22) experimental; urgency=low
 .
   * Let mountdevsubfs provide mountvirtfs to work with init.d scripts
     with obsolete dependency information.
   * Change mounting of virtual file systems to specify the device name
     explicitly, to make sure /proc/mounts and /etc/mtab end up with
     the same device name.
   * Split killall5, last, lastb, mesg and pidof out of the sysvinit
     package into a new sysvinit-utils package to make it easier to
     replace sysvinit. (Closes: #385722)
   * Mount /var/run/ as tmpfs in mountkernfs.sh, to have some place to
     write state information very early in the boot, and thus avoid a
     lot of cludges in scripts running before partitions are checked
     and mounted.  Mount /var/lock/ as tmpfs to avoid having to clean
     it during boot, and to have some place to store locks for the
     things running before partitions are checked and mounted.
     Packages need to create the directories they expect to find in
     these directories from now on.  Patch from Scott James Remnant and
     Ubuntu.
   * Adjust checkroot.sh to create the root device node in /var/run/
     when needed, instead of mounting its own tmpfs.  Modified
     /var/run/ to allow devices and executables.
 .
 sysvinit (2.86.ds1-21) experimental; urgency=low
 .
   * Correct status report handling in umountnfs.sh.  Based on patch
     from Markus Schoder. (Closes: #386893)
   * Change mountnfs.sh, rc.local and skeleton to use /lib/init/vars.sh
     instead of sourcing /etc/default/rcS, to activate the INIT_VERBOSE
     variable for these scripts.
   * Add support in the init.d scripts for the 'quiet' kernel option.
     Keep support for the experiemental INIT_VERBOSE, to make it
     possible to override VERBOSE=no on the kernel command line.
   * New draft patch 68_init_quiet to make init less verbose when the
     'quiet' kernel option is used.  If it worked, it would solve bug
     #326677.
   * Add a few lintian overrides for things that are correct though strange.
   * Rewrite sendsigs to sleep up to 5 seconds (instead of always
     sleeping 5 seconds) during shutdown if there are no processes left
     to wait for.  Modify killall5 to make it report if it found any
     processes to kill to make this possible.
   * Modify mtab.sh to include /dev/.static/dev in /etc/mtab, to avoid
     message from umountfs during shutdown about it being missing in mtab.
   * Now that mtab is properly updated by mtab.sh before mountall.sh,
     there is no need to have special handling of proc file systems.
     Remove the code from mountall.sh. (Closes: #359651)
   * Only kill processes using remote file systems before trying to
     umount them, if fuser from the psmisc package is available, and
     move sendsigs to a point between where remote and local file systems
     are umounted.  Recommend psmisc for package initscripts.
     (Closes: #258420, #367944)
   * Add conditional dependency on glibc for hostname.sh and
     mountkernfs.sh, to allow the glibc warnings to show up without
     anything running in parallel.
   * Change default PATH in initscripts and init to prefer sbin/ over
     bin/, to avoid picking user visible replacement for system
     binaries.  This avoids shutdown problems on some
     machines. (Closes: #354163)
   * Fix typo in init.d/README. (Closes: #387236)
   * Add /usr/bin/ to the checkroot and checkfs PATH, to make sure
     on_ac_power is used if it is available. (Closes: #387308)
   * Modify mtab.sh to insert the device name used when mounting
     /dev/shm/ in /etc/mtab.  (Closes: #387216)
Files: 
 53f1bdb2310ea926cf1fffbbe3c6f055 910 admin required sysvinit_2.86.ds1-26.dsc
 657b5e606afb5853c63fd06322514da3 133869 admin required sysvinit_2.86.ds1-26.diff.gz
 ff4047a2293727fc77c2e0ee1bbb33fa 107882 admin required sysvinit_2.86.ds1-26_i386.deb
 123d0c2171934c12adf70ed4b6d7bd22 63746 admin required sysvinit-utils_2.86.ds1-26_i386.deb
 6715e1f9768a8dda664d74049040d10b 56886 admin required initscripts_2.86.ds1-26_i386.deb
 1249884b42f92dd8fad39f69325710d5 55200 admin required sysv-rc_2.86.ds1-26_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD4DBQFFHAxD20zMSyow1ykRAkdDAJdTtz0VfwWP9oT2uUX3mIYIWwmSAKDbsmQd
eci080F3HOSzfBBw1m92bg==
=1Bus
-----END PGP SIGNATURE-----




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 06:18:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:59:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.